# % define rcver 2

Summary: Additional addons for Asterisk: the Open Source Linux PBX
Name: asterisk-addons
Version: 1.6.2.4
Release: 0%{?rcver:.rc%{rcver}}%{?dist}
Epoch: 1
License: GPL
Group: Applications/Internet
URL: http://www.asterisk.org
Source0: http://downloads.asterisk.org/pub/telephony/asterisk/releases/%{name}-%{version}%{?rcver:-rc%{rcver}}.tar.gz
#Source1: cbmysql.tgz
Source1: app_cbmysql.c
#Source2: chan_mobile.c
Source3: 92-sebi.rules
Patch1: asterisk-addons.uniqueid.patch
Patch2: asterisk-addons-1.6.2.2-cbmysql-fix-recording-path.patch
Patch3: chan_sebi.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires: asterisk >= 2009020507:1.6.2.20
BuildRequires: asterisk-devel >= 2009020507:1.6.2, mysql-devel, zlib-devel

%description
Asterisk is a complete PBX in software. It runs on Linux and provides
all of the features you would expect from a PBX and more. Asterisk
does voice over IP in three protocols, and can interoperate with
almost all standards-based telephony equipment using relatively
inexpensive hardware.
This package contains additional addons for asterisk.

%package chan_mobile
Summary: Channel driver for bluetooth mobile phones
Group: Applications/Internet
Requires: asterisk-addons >= %{version}
Requires: bluez-utils, bluez-libs
BuildRequires: bluez-libs, bluez-libs-devel

%description chan_mobile
Channel driver for mobile devices. Currently only supports bluetooth, but may 
allow more technologies (such as USB) in the future.

%prep
%setup -q -n %{name}-%{version}%{?rcver:-rc%{rcver}}
cp %{SOURCE1} apps/
%patch1 -p1
%patch2 -p1
# Soporte para chan_mobile
#cp -a %{SOURCE2} channels/ 
#touch channels/.chan_mobile.makeopts
#echo "chan_mobile.so: LIBS+=-lbluetooth" >> channels/Makefile

%build
%configure
make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_libdir}/asterisk/modules/
make install DESTDIR=%{buildroot}

# Copy sample configuration files WITHOUT stripping the .sample suffix.
mkdir -p %{buildroot}%{_sysconfdir}/asterisk/
cp configs/* %{buildroot}%{_sysconfdir}/asterisk/

# Install udev rules for chan_sebi
#mkdir -p %{buildroot}%{_sysconfdir}/udev/rules.d/
#cp %{SOURCE3} %{buildroot}%{_sysconfdir}/udev/rules.d/

%clean
rm -rf %{buildroot}

%files chan_mobile
%defattr(-, root, root)
%{_libdir}/asterisk/modules/chan_mobile.so
%config(noreplace) %{_sysconfdir}/asterisk/mobile.conf*
%{_localstatedir}/lib/asterisk/documentation/addons-en_US.xml
#%{_libdir}/asterisk/modules/chan_sebi.so
#%config(noreplace) %{_sysconfdir}/asterisk/sebi.conf.sample
#%{_sysconfdir}/udev/rules.d/92-sebi.rules

%files
%defattr(-,root,root,-)
%doc doc/cdr_mysql.txt
%{_libdir}/asterisk/modules/*.so
%config(noreplace) %{_sysconfdir}/asterisk/*
%exclude %{_libdir}/asterisk/modules/chan_mobile.so
%exclude %{_sysconfdir}/asterisk/mobile.conf*
#%exclude %{_libdir}/asterisk/modules/chan_sebi.so
#%exclude %{_sysconfdir}/asterisk/sebi.conf.sample

%changelog
* Fri Sep  8 2011 Alex Villacis Lasso <a_villacis@palosanto.com> - 1.6.2.4-0
- Update to 1.6.2.4
- Requires asterisk >= 1.6.2.20

* Mon Dec 13 2010 Alex Villacis Lasso <a_villacis@palosanto.com> - 1.6.2.2-0
- Update to 1.6.2.2
- Change default location of recording to point to monitoring dir. Fixes 
  Elastix bug #626. Also, prevent overwriting of recording file when a
  conference fills up, empties completely, then receives new members.
- Requires asterisk >= 1.6.2.15

* Fri Apr 16 2010 Alex Villacis Lasso <a_villacis@palosanto.com> - 1.6.2.1-0
- Update to 1.6.2.1

* Fri Dec 18 2009 Alex Villacis Lasso <a_villacis@palosanto.com> - 1.6.2.0-3
- Update to 1.6.2.0

* Fri Dec 04 2009 Alex Villacis Lasso <a_villacis@palosanto.com> - 1.6.2.0-2.rc2
- Update to 1.6.2.0-rc2

* Wed Sep 03 2009 Alex Villacis Lasso <a_villacis@palosanto.com> - 1.6.2.0-1.rc1
- Re-add app_cbmysql.c to compile. Tweaked app_cbmysql to compile and run correctly
  on asterisk 1.6.x.

* Wed Aug 05 2009 Alex Villacis Lasso <a_villacis@palosanto.com> - 1.6.2.0-0.rc1
- Update to 1.6.2.0-rc1
- Drop chan_mobile.c for 1.4 since 1.6 version is already merged.
- Drop support for chan_sebi since it does not compile for asterisk 1.6.x.
- Drop support for app_cbmysql since it does not compile for asterisk 1.6.x.

* Fri Jul 24 2009 Alex Villacis Lasso <a_villacis@palosanto.com> - 1.4.9-0
- Update to 1.4.9

* Tue May 26 2009 Alex Villacis Lasso <a_villacis@palosanto.com> - 1.4.8-1
- Add support for chan_sebi, which allows the use of Huawei modems as Asterisk
  trunks (http://groups.google.es/group/asterisk-es/browse_thread/thread/a29e38faae041f33#)
- Copy sample configuration files to /etc/asterisk.

* Fri May 08 2009  Alex Villacis Lasso <a_villacis@palosanto.com> - 1.4.8-0
- Update to 1.4.8.

* Thu Jan 08 2009 Alex Villacis Lasso <a_villacis@palosanto.com> - 1.4.7-4
- Fix badly broken Makefile for cbmysql, required for 64-bit support.
  This package (cbmysql) sorely needs autoconf support.
- Remove perl processing in %%prep since referenced files are no longer present

* Mon Jun 16 2008 Edgar Landivar <elandivar@palosanto.com> - 1.4.7-3
- Some lines added to the channels/Makefile to make chan_mobile work.
  This workaround is based on http://bugs.digium.com/view.php?id=12015

* Tue Jun 10 2008 Edgar Landivar <elandivar@palosanto.com> - 1.4.7-1
- Updating to 1.4.7
- chan_mobile.c updated

* Tue Mar 25 2008 Edgar Landivar <elandivar@palosanto.com> - 1.4.6-4
- Splited the chan_mobile in a separate package because it require
  bluez-utils and bluez-utils requires a lot of packages. These packages
  are not all needed I think. There is no need to require the 
  bluez-gnome?? Anyway we splited this packages

* Mon Mar 24 2008 Edgar Landivar <elandivar@palosanto.com> - 1.4.6-3
- Better method to include app_cbmysql 

* Mon Mar 24 2008 Edgar Landivar <elandivar@palosanto.com> - 1.4.6-2
- Added support for chan_mobile

* Wed Mar 19 2008 Edgar Landivar <elandivar@palosanto.com> - 1.4.6-1
- Update to 1.4.6 version

* Mon Feb 11 2008 Bruno Macias <bmacias@palosanto.com> - 1.4.5-3
- Add module app_cbmysql.so for meetme or conference module.

* Mon Dec 03 2007 Edgar Landivar <elandivar@palosanto.com> - 1.4.5-2
- Fixed bug with uniqueid field not being logged into MySQL

* Sun Dec 02 2007 Edgar Landivar <elandivar@palosanto.com> - 1.4.5-1
- Update to 1.4.5
- Updated patch to compile with uniqueid support

* Mon Nov 26 2007 Edgar Landivar <elandivar@palosanto.com> - 1.4.4-1
- Update to 1.4.4

* Tue Dec 26 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 1:1.4.0-14
- Update to 1.4.0.

* Wed Dec  6 2006 Alexander Bergolth <leo@leo.wu-wien.ac.at> - 1:1.4.0-13_beta2
- First try with 1.4.0-beta2

* Wed Oct 25 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 1:1.2.5-12
- Rebuild w/o Fedora Extras to avoid beta bits.
- Bump epoch to superseed beta bits.

* Thu Oct 19 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.2.5-11
- Update to 1.2.5.

* Fri Aug 25 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.2.4-10
- Update to 1.2.4.

* Sat Jun  3 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.2.3.

* Tue Mar  7 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.2.2.

* Mon Dec 12 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.2.1.

* Mon Nov 21 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.2.0.

* Sat Jul 16 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.0.9.

* Mon Jun 27 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.0.8.

* Mon Mar 07 2005 Mark Wormgoor <mark@wormgoor.com>
- Initial version
